MMC:CFG_1.0::

MMC_MOTIONADV = MMC_PALETTE:
-name MoveCSync
-name MoveJSync
-name MoveLSync


MMC_REAL_ROUTINE:

-name MoveCSync    -default_struct 1,1,1,0,1,1,0,1 	-hidden
-name MoveJSync    -default_struct 1,1,0,1,1,0,1	-hidden
-name MoveLSync    -default_struct 1,1,0,1,1,0,1	-hidden


MMC_INST_NOT_REUSING_PREV_OPT_ARG:

-name MoveCSync -param_nr 4
-name MoveJSync	-param_nr 3
-name MoveLSync	-param_nr 3


MMC_REAL_PARAM:

-name MoveCSync_T       -name_rule DEF  -def_name 5
-name MoveCSync_Tool    -name_rule CUR  -method hirule_tooldata
-name MoveCSync_WObj    -name_rule CUR  -method hirule_wobjdata

-name MoveJSync_T       -name_rule DEF  -def_name 5
-name MoveJSync_Tool    -name_rule CUR  -method hirule_tooldata
-name MoveJSync_WObj    -name_rule CUR  -method hirule_wobjdata

-name MoveLSync_T       -name_rule DEF  -def_name 5
-name MoveLSync_Tool    -name_rule CUR  -method hirule_tooldata
-name MoveLSync_WObj    -name_rule CUR  -method hirule_wobjdata


-name common_movexsync   -name_rule LAST


MMC_COMMON_PARAM:

-name MoveCSync_CirPoint 	-common_space_name common_point
-name MoveCSync_ToPoint 	-common_space_name common_point
-name MoveJSync_ToPoint 	-common_space_name common_point
-name MoveLSync_ToPoint 	-common_space_name common_point

-name MoveCSync_Speed  	  -common_space_name common_speed
-name MoveJSync_Speed     -common_space_name common_speed
-name MoveLSync_Speed     -common_space_name common_speed

-name MoveCSync_Zone      -common_space_name common_cir_zone
-name MoveJSync_Zone      -common_space_name common_zone
-name MoveLSync_Zone      -common_space_name common_zone

-name MoveCSync_ProcName   	-common_space_name common_movexsync
-name MoveJSync_ProcName   	-common_space_name common_movexsync
-name MoveLSync_ProcName   	-common_space_name common_movexsync

MMC_INSTR_WITH_WOBJ:

-name MoveCSync	-param_nr 7
-name MoveJSync	-param_nr 6
-name MoveLSync	-param_nr 6


MMC_SELECT_PARAM:

-name MoveCSync	-param_nr 2


MMC_NO_PC_MOVEMENT:

-name MoveCSync_CirPoint

MMC_NO_NOREGAIN:

-name MoveCSync

MMC_REAL_DATATYPE:




